Skip to main content
Create a snapshot of an entity's current state

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Body

application/vnd.composer.v3+json

Request body for creating an entity snapshot

itemType
enum<string>
required

Entity type to snapshot. Supported: SOURCE

Available options:
SOURCE,
VISUAL,
DASHBOARD
Example:

"SOURCE"

itemId
string
required

ID of the entity to snapshot

Minimum string length: 1
Example:

"src-123"

changeSummary
string

Optional human-readable description of what changed

Maximum string length: 500
Example:

"Updated connection string"

Response

The snapshot was created

Response body for a created entity snapshot

snapshotId
string
read-only

Unique identifier of the snapshot

itemType
string

Entity type that was snapshotted

Example:

"SOURCE"

itemId
string

ID of the entity that was snapshotted

Example:

"src-123"

snapshotNumber
integer<int32>

Auto-incremented snapshot number within this entity's history

Example:

1

changeSummary
string

Optional human-readable description of what changed

Example:

"Updated connection string"

createdByUserId
string
read-only

ID of the user who created the snapshot

createdDate
string<date-time>
read-only

Timestamp when the snapshot was created